import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const otherNames = await conductor.qbd.otherNames.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(otherNames.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
other_names = conductor.qbd.other_names.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(other_names.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/other-names \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/other-names",
"data": [
{
"id": "80000001-1234567890",
"objectType": "qbd_other_name",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "John Doe",
"isActive": true,
"companyName": "Acme Corporation",
"salutation": "Dr.",
"firstName": "John",
"middleName": "A.",
"lastName": "Doe",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"phone": "+1-555-123-4567",
"alternatePhone": "+1-555-987-6543",
"fax": "+1-555-555-1212",
"email": "other-name@example.com",
"contact": "Jane Smith",
"alternateContact": "Bob Johnson",
"accountNumber": "1010",
"note": "This employee is a key employee.",
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}
]
}List all other-names
Returns a list of other-names.
NOTE: QuickBooks Desktop does not support pagination for other-names; hence, there is no cursor parameter. Users typically have few other-names.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const otherNames = await conductor.qbd.otherNames.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(otherNames.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
other_names = conductor.qbd.other_names.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(other_names.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Query Parameters
Filter for specific other-names by their QuickBooks-assigned unique identifier(s).
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["80000001-1234567890"]
Filter for specific other-names by their name(s), case-insensitive. Like id, name is a unique identifier for an other-name.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
["John Doe"]
The maximum number of objects to return.
IMPORTANT: QuickBooks Desktop does not support cursor-based pagination for other-names. This parameter will limit the response size, but you cannot fetch subsequent results using a cursor. For pagination, use the name-range parameters instead (e.g., nameFrom=A&nameTo=B).
When this parameter is omitted, the endpoint returns all other-names without limit, unlike paginated endpoints which default to 150 records. This is acceptable because other-names typically have low record counts.
x >= 110
Filter for other-names that are active, inactive, or both.
active, all, inactive "active"
Filter for other-names updated on or after this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for other-names updated on or before this date/time. Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Filter for other-names whose name contains this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameStartsWith or nameEndsWith.
"ABC"
Filter for other-names whose name starts with this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameContains or nameEndsWith.
"ABC"
Filter for other-names whose name ends with this substring, case-insensitive.
NOTE: If you use this parameter, you cannot also use nameContains or nameStartsWith.
"ABC"
Filter for other-names whose name is alphabetically greater than or equal to this value.
"A"
Filter for other-names whose name is alphabetically less than or equal to this value.
"Z"
Response
Returns a list of other-names.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/other-names"
The array of other-names.
Show child attributes
Show child attributes

